
Foreman - Bug #24893

Adding all users to Taxonomy does not work

09/11/2018 02:01 PM - Ondřej Pražák

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1591384 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

Users are not assigned to organizations and locations when 'All users' checkbox is checked, but the taxonomy edit page looks as if

they were. When the 'All users' checkbox is checked, the items stay in their lists and do not move to the one on the right.

Steps to Reproduce:

Step 1: Create several users

Step 1: Administer -> Organizations

Step 2: Pick Organization to modify

Step 3: Users Tab

Step 4: check the 'All users' checkbox. Both 'All items' and 'Selected items' will get disabled, but items in the left list will stay there

and will not be moved to the righ list (they will display correctly when the page is revisited after submission)

Step 5: Submit

Step 6: Administer -> Users -> click user name -> Organizations tab

Step 7: Note user does not have any organization

Step 8: Create a new user that should be automatically added to org, but that will not happen

Related issues:

Is duplicate of Foreman - Bug #6150: Users need locations added even if "All ... Ready For Testing

History

#1 - 09/11/2018 02:12 PM - Marek Hulán

- Subject changed from Adding all users to Taxonomy does not work

 to Adding all users to Taxonomy does not work

- Status changed from New to Need more information

Note this options does not effectively add associations, just modifies some if conditions. Proper fix was being worked on by Kavita - 

https://github.com/theforeman/foreman/pull/4111 perhaps this is a dup of #6150

#2 - 09/12/2018 06:30 AM - Ondřej Pražák

- Status changed from Need more information to Duplicate

#3 - 09/12/2018 06:30 AM - Ondřej Pražák

- Is duplicate of Bug #6150: Users need locations added even if "All users" is ticked added
